CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2018-5391

The Linux kernel, versions 3.9+, is vulnerable to a denial of service attack with low rates of specially modified packets targeting IP fragment re-assembly. An attacker may cause a denial of service condition by sending specially crafted IP fragments. Various vulnerabilities in IP fragmentation have been discovered and fixed over the years. The current vulnerability (CVE-2018-5391) became exploitable in the Linux kernel with the increase of the IP fragment reassembly queue size.
Publish Date : 2018-09-06 Last Update Date : 2022-12-28
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.8
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID 20

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2018:2846: kernel security and bug fix update (Important) oval:com.redhat.rhsa:def:20182846 unix
RHSA-2018:3083: kernel security, bug fix, and enhancement update (Important) oval:com.redhat.rhsa:def:20183083 unix
RHSA-2018:3096: kernel-rt security, bug fix, and enhancement update (Important) oval:com.redhat.rhsa:def:20183096 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2018-5391

# Product Type Vendor Product Version Update Edition Language
1 OS Canonical Ubuntu Linux 12.04 * * * Version Details Vulnerabilities
2 OS Canonical Ubuntu Linux 14.04 * * * Version Details Vulnerabilities
3 OS Canonical Ubuntu Linux 16.04 * * * Version Details Vulnerabilities
4 OS Canonical Ubuntu Linux 18.04 * * * Version Details Vulnerabilities
5 OS Debian Debian Linux 8.0 * * * Version Details Vulnerabilities
6 OS Debian Debian Linux 9.0 * * * Version Details Vulnerabilities
7 Application F5 Big-ip Access Policy Manager * * * * Version Details Vulnerabilities
8 Application F5 Big-ip Advanced Firewall Manager * * * * Version Details Vulnerabilities
9 Application F5 Big-ip Analytics * * * * Version Details Vulnerabilities
10 Application F5 Big-ip Application Acceleration Manager * * * * Version Details Vulnerabilities
11 Application F5 Big-ip Application Security Manager * * * * Version Details Vulnerabilities
12 Application F5 Big-ip Domain Name System * * * * Version Details Vulnerabilities
13 Application F5 Big-ip Edge Gateway * * * * Version Details Vulnerabilities
14 Application F5 Big-ip Fraud Protection Service * * * * Version Details Vulnerabilities
15 Application F5 Big-ip Global Traffic Manager * * * * Version Details Vulnerabilities
16 Application F5 Big-ip Link Controller * * * * Version Details Vulnerabilities
17 Application F5 Big-ip Local Traffic Manager * * * * Version Details Vulnerabilities
18 Application F5 Big-ip Policy Enforcement Manager * * * * Version Details Vulnerabilities
19 Application F5 Big-ip Webaccelerator * * * * Version Details Vulnerabilities
20 OS Linux Linux Kernel * * * * Version Details Vulnerabilities
21 OS Microsoft Windows 10 - * * * Version Details Vulnerabilities
22 OS Microsoft Windows 10 1607 * * * Version Details Vulnerabilities
23 OS Microsoft Windows 10 1703 * * * Version Details Vulnerabilities
24 OS Microsoft Windows 10 1709 * * * Version Details Vulnerabilities
25 OS Microsoft Windows 10 1803 * * * Version Details Vulnerabilities
26 OS Microsoft Windows 7 - SP1 * * Version Details Vulnerabilities
27 OS Microsoft Windows 8.1 - * * * Version Details Vulnerabilities
28 OS Microsoft Windows Rt 8.1 - * * * Version Details Vulnerabilities
29 OS Microsoft Windows Server 2008 - SP2 * * Version Details Vulnerabilities
30 OS Microsoft Windows Server 2008 R2 SP1 * * Version Details Vulnerabilities
31 OS Microsoft Windows Server 2008 R2 SP1 * * Version Details Vulnerabilities
32 OS Microsoft Windows Server 2012 - * * * Version Details Vulnerabilities
33 OS Microsoft Windows Server 2012 R2 * * * Version Details Vulnerabilities
34 OS Microsoft Windows Server 2016 - * * * Version Details Vulnerabilities
35 OS Microsoft Windows Server 2016 1709 * * * Version Details Vulnerabilities
36 OS Microsoft Windows Server 2016 1803 * * * Version Details Vulnerabilities
37 OS Redhat Enterprise Linux Desktop 6.0 * * * Version Details Vulnerabilities
38 OS Redhat Enterprise Linux Desktop 7.0 * * * Version Details Vulnerabilities
39 OS Redhat Enterprise Linux Server 6.0 * * * Version Details Vulnerabilities
40 OS Redhat Enterprise Linux Server 7.0 * * * Version Details Vulnerabilities
41 OS Redhat Enterprise Linux Server Aus 6.4 * * * Version Details Vulnerabilities
42 OS Redhat Enterprise Linux Server Aus 6.5 * * * Version Details Vulnerabilities
43 OS Redhat Enterprise Linux Server Aus 6.6 * * * Version Details Vulnerabilities
44 OS Redhat Enterprise Linux Server Aus 7.2 * * * Version Details Vulnerabilities
45 OS Redhat Enterprise Linux Server Aus 7.3 * * * Version Details Vulnerabilities
46 OS Redhat Enterprise Linux Server Aus 7.4 * * * Version Details Vulnerabilities
47 OS Redhat Enterprise Linux Server Eus 6.7 * * * Version Details Vulnerabilities
48 OS Redhat Enterprise Linux Server Eus 7.3 * * * Version Details Vulnerabilities
49 OS Redhat Enterprise Linux Server Eus 7.4 * * * Version Details Vulnerabilities
50 OS Redhat Enterprise Linux Server Eus 7.5 * * * Version Details Vulnerabilities
51 OS Redhat Enterprise Linux Server Tus 6.6 * * * Version Details Vulnerabilities
52 OS Redhat Enterprise Linux Server Tus 7.2 * * * Version Details Vulnerabilities
53 OS Redhat Enterprise Linux Server Tus 7.3 * * * Version Details Vulnerabilities
54 OS Redhat Enterprise Linux Server Tus 7.4 * * * Version Details Vulnerabilities
55 OS Redhat Enterprise Linux Workstation 6.0 * * * Version Details Vulnerabilities
56 OS Redhat Enterprise Linux Workstation 7.0 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Canonical Ubuntu Linux 4
Debian Debian Linux 2
F5 Big-ip Access Policy Manager 1
F5 Big-ip Advanced Firewall Manager 1
F5 Big-ip Analytics 1
F5 Big-ip Application Acceleration Manager 1
F5 Big-ip Application Security Manager 1
F5 Big-ip Domain Name System 1
F5 Big-ip Edge Gateway 1
F5 Big-ip Fraud Protection Service 1
F5 Big-ip Global Traffic Manager 1
F5 Big-ip Link Controller 1
F5 Big-ip Local Traffic Manager 1
F5 Big-ip Policy Enforcement Manager 1
F5 Big-ip Webaccelerator 1
Linux Linux Kernel 1
Microsoft Windows 10 5
Microsoft Windows 7 1
Microsoft Windows 8.1 1
Microsoft Windows Rt 8.1 1
Microsoft Windows Server 2008 3
Microsoft Windows Server 2012 2
Microsoft Windows Server 2016 3
Redhat Enterprise Linux Desktop 2
Redhat Enterprise Linux Server 2
Redhat Enterprise Linux Server Aus 6
Redhat Enterprise Linux Server Eus 4
Redhat Enterprise Linux Server Tus 4
Redhat Enterprise Linux Workstation 2

- References For CVE-2018-5391

https://access.redhat.com/errata/RHSA-2018:2846
REDHAT RHSA-2018:2846
https://access.redhat.com/errata/RHSA-2018:2933
REDHAT RHSA-2018:2933
https://access.redhat.com/errata/RHSA-2018:2925
REDHAT RHSA-2018:2925
https://access.redhat.com/errata/RHSA-2018:2924
REDHAT RHSA-2018:2924
https://access.redhat.com/errata/RHSA-2018:3096
REDHAT RHSA-2018:3096
https://access.redhat.com/errata/RHSA-2018:3083
REDHAT RHSA-2018:3083
https://access.redhat.com/errata/RHSA-2018:2948
REDHAT RHSA-2018:2948
https://access.redhat.com/errata/RHSA-2018:3459
REDHAT RHSA-2018:3459
https://access.redhat.com/errata/RHSA-2018:2785
REDHAT RHSA-2018:2785
https://access.redhat.com/errata/RHSA-2018:2791
REDHAT RHSA-2018:2791
https://support.f5.com/csp/article/K74374841?utm_source=f5support&utm_medium=RSS CONFIRM
http://www.openwall.com/lists/oss-security/2019/07/06/4
MLIST [oss-security] 20190706 Re: linux-distros membership application - Microsoft
http://www.huawei.com/en/psirt/security-advisories/huawei-sa-20200115-01-linux-en CONFIRM
https://access.redhat.com/errata/RHSA-2018:3540
REDHAT RHSA-2018:3540
https://lists.debian.org/debian-lts-announce/2019/03/msg00017.html
MLIST [debian-lts-announce] 20190315 [SECURITY] [DLA 1715-1] linux-4.9 security update
https://git.kernel.org/pub/scm/linux/kernel/git/davem/net-next.git/commit/?id=c30f1fc041b74ecdb072dd44f858750414b8b19f
http://www.openwall.com/lists/oss-security/2019/07/06/3
MLIST [oss-security] 20190706 Re: linux-distros membership application - Microsoft
http://www.openwall.com/lists/oss-security/2019/06/28/2
MLIST [oss-security] 20190628 Re: linux-distros membership application - Microsoft
https://access.redhat.com/errata/RHSA-2018:3590
REDHAT RHSA-2018:3590
https://access.redhat.com/errata/RHSA-2018:3586
REDHAT RHSA-2018:3586
https://usn.ubuntu.com/3740-1/
UBUNTU USN-3740-1
https://lists.debian.org/debian-lts-announce/2018/08/msg00014.html
MLIST [debian-lts-announce] 20180815 [SECURITY] [DLA 1466-1] linux-4.9 security update
http://www.securitytracker.com/id/1041637
SECTRACK 1041637
http://www.securityfocus.com/bid/105108
BID 105108 Linux Kernel CVE-2018-5391 Remote Denial of Service Vulnerability Release Date:2019-02-15
http://www.securitytracker.com/id/1041476
SECTRACK 1041476
https://usn.ubuntu.com/3740-2/
UBUNTU USN-3740-2
https://usn.ubuntu.com/3741-1/
UBUNTU USN-3741-1
https://usn.ubuntu.com/3741-2/
UBUNTU USN-3741-2
https://usn.ubuntu.com/3742-2/
UBUNTU USN-3742-2
https://usn.ubuntu.com/3742-1/
UBUNTU USN-3742-1
https://www.debian.org/security/2018/dsa-4272
DEBIAN DSA-4272
http://www.arubanetworks.com/assets/alert/ARUBA-PSA-2018-004.txt CONFIRM
https://www.kb.cert.org/vuls/id/641765
CERT-VN VU#641765
https://security.netapp.com/advisory/ntap-20181003-0002/ CONFIRM
https://cert-portal.siemens.com/productcert/pdf/ssa-377115.pdf CONFIRM

- Vulnerability Conditions

Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0

- Metasploit Modules Related To CVE-2018-5391

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.